<?php
namespace Helpers;

use Api\PhpUtils\Log\FileLog;
use Api\PhpUtils\Http\Request;

/**
 * Sdk 获取接口
 */
class Sdk {

    /**
     * @param $current_amount
     * @param $total_amount
     * @param $cleared_amount
     * @param $total_tip
     * @param $cleared_tip
     * 计算微信手续费公式，计算单位是分
     */
    public static function call($url, $params, $headers = []) {

        /*
        $header = [
            'X-REQUEST-ID'=>Logger::getTraceId(),
        ];

        $headers = array_merge($headers, $header);
        */
        $data  = (new Request())->post($url, $params,3000, 'json');
        //$data['response'];
        //var_export($data);
        FileLog::info('sdk_call:' . 'services return', json_encode(['url'=>$url, $headers, 'req'=>$params, 'res'=>$data]));
        return $data['response'];
    }
}